Bug 554335 (CVE-2010-0277) - CVE-2010-0277 pidgin MSN protocol plugin memory corruption
Summary: CVE-2010-0277 pidgin MSN protocol plugin memory corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0277
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20091227,repor...
Depends On: 565911 565912 565913 565914 566126 566400 833966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-11 13:08 UTC by Josh Bressers
Modified: 2019-06-08 12:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 07:42:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0115 normal SHIPPED_LIVE Moderate: pidgin security update 2010-02-18 16:11:22 UTC

Description Josh Bressers 2010-01-11 13:08:12 UTC
slp.c in the MSN protocol plugin in libpurple in Pidgin 2.6.4 and
Adium 1.3.8 allows remote attackers to cause a denial of service
(memory corruption) or possibly have unspecified other impact via
unknown vectors, a different issue than CVE-2010-0013.

Reference: URL:http://www.openwall.com/lists/oss-security/2010/01/07/2
Reference: MISC:http://events.ccc.de/congress/2009/Fahrplan/events/3596.en.html

Comment 9 Tomas Hoger 2010-02-18 09:19:44 UTC
http://pidgin.im/news/security/?id=43

Comment 11 errata-xmlrpc 2010-02-18 16:11:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0115 https://rhn.redhat.com/errata/RHSA-2010-0115.html

Comment 12 Fedora Update System 2010-02-18 16:33:15 UTC
pidgin-2.6.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-2.6.6-1.fc12

Comment 13 Vincent Danen 2010-02-18 20:38:01 UTC
This is not an issue for pidgin in Red Hat Enterprise Linux 3 due to the MSN protocol support in that version (1.5.1) is out-dated and no longer supported by MSN servers.  We do not have any plans to backport MSN protocol changes to that version of Pidgin.

Comment 14 Fedora Update System 2010-02-20 00:09:05 UTC
pidgin-2.6.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-02-20 00:13:36 UTC
pidgin-2.6.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-02-20 00:26:08 UTC
pidgin-2.6.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.